from uuid import UUID

from ragloader.documents_parsing.common.parsed_items import (
    ParsedDocument,
    ParsedFile
)


class ParsedDocumentWithContent:
    def __init__(self, parsed_document: ParsedDocument):
        self.document_uuid: UUID = parsed_document.document_uuid
        self.document_name: str = parsed_document.document_name
        self.document_content: str = parsed_document.document_content
        self.parsed_files: list[ParsedFile] = parsed_document.parsed_files

        self.document_class: str = ""
        self.document_schema: dict = {}

    def add_document_schema(self, document_schema: dict):
        self.document_schema: dict = document_schema

    def add_document_class(self, document_class: str):
        self.document_class: str = document_class
