from enum import Enum

from ragloader.documents_splitting.text_splitters import (
    CharacterBasedSplitter,
    TokenizerBasedSplitter,
    CodeTextSplitter,
    HtmlTextSplitter,
    MarkdownTextSplitter,
)


class TextSplitters(Enum):
    """Mapper from splitters' names in config to splitting classes."""
    tokenizer_based_splitter = TokenizerBasedSplitter
    character_based_splitter = CharacterBasedSplitter
    code_splitter = CodeTextSplitter
    html_splitter = HtmlTextSplitter
    markdown_splitter = MarkdownTextSplitter
